Bug 447302 - crash log
crash log
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 08:42 EDT by Adrin Jalali
Modified: 2008-05-21 14:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrin Jalali 2008-05-19 08:42:40 EDT
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.0-8-i386
(IV)   kernel is: Linux 2.6.25.3-18.fc9.i686 #1 SMP Tue May 13 05:38:53 EDT 2008
i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-2.4.0-12.8.fc9-i386
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 9 (Sulphur)
(VV)   LANG is: en_US.utf8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda10            10096236   7126844   2456520  75% /home
/dev/sda9             13455320   4743452   8711868  36% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 22
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x5c053e8: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x253e8
0x5c05d23: 0x1c4c7c: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x25d23
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x4af5568: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c4568
0x4adc67b: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1ab67b
0x4adda5e: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1aca5e
0x4addc3c: 0x37a7e0: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1acc3c
0x601d8a4: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c8a4
(Timer::Timeout() + 0x18)
0x601dda7: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9cda7
(Timer::ImplTimerCallbackProc() + 0x7b)
0xee09c2: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x429c2 (X11SalData::Timeout() const + 0x2a)
0xdffbe9: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11be9
0x1887c6: 0xe0108: /lib/libglib-2.0.so.0 + 0x377c6
0x188098: 0xe0108: /lib/libglib-2.0.so.0 + 0x37098 (g_main_context_dispatch + 0x1e8)
0x18b743: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a743
0x18b901: 0xe0108: /lib/libglib-2.0.so.0 + 0x3a901 (g_main_context_iteration + 0x71)
0xdff827: 0x4b950: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x11827
0xee98b9: 0x7859c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4b8b9 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x6019cb9: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98cb9
(Application::Yield(bool) + 0x57)
0x6019d07: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x98d07
(Application::Execute() + 0x2b)
0x504b933: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x2f933
(desktop::Desktop::Main() + 0x1a0b)
0x601d2c2: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c2c2
0x601d45e: 0x37e324: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9c45e
(SVMain() + 0x2c)
0x503ff01: 0x77340: /usr/lib/openoffice.org/program/libsoffice.so + 0x23f01
(main + 0xe5)
0x4985d6: 0x164d7c: /lib/libc.so.6 + 0x165d6 (__libc_start_main + 0xe6)
0x80484f1: 0x6dc: /usr/lib/openoffice.org/program/swriter.bin + 0x4f1 (main + 0x51)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00480000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00162000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x001f8000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00215000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00232000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0023c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x0027f000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x002ee000)
	libdl.so.2 => /lib/libdl.so.2 (0x002f2000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x002f7000)
	librt.so.1 => /lib/librt.so.1 (0x002fc000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00306000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00324000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00365000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00880000)
	libvclplug_gen680li.so =>
/usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x003a5000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00961000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x00ce7000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00dc8000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x00e26000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x00eac000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so
(0xb7f7d000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so
(0x00f4f000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0xb7ee8000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00424000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00fba000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0xb7d1c000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb7c1b000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00452000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00fdf000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0xb7b50000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7a5e000)
	libm.so.6 => /lib/libm.so.6 (0x00ff8000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x06453000)
	libc.so.6 => /lib/libc.so.6 (0xb78f4000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x063c4000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x063de000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb78cd000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb789d000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x06412000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x01021000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x03e17000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x03ded000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x03e2c000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7872000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb77e3000)
	libz.so.1 => /lib/libz.so.1 (0x03efe000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb77b6000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x03fa6000)
	/lib/ld-linux.so.2 (0x00462000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x03f7c000)
	libcap.so.2 => /lib/libcap.so.2 (0x03dae000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x0651a000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x06690000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x064d8000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so
(0xb775e000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb762a000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0xb75f3000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3
(0x064ee000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x01024000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0xb75ee000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb75bc000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x03bd9000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb759f000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x04a69000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb7578000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb6aa1000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb6951000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb694b000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2008-05-19 10:16:24 EDT
Any idea what you were doing at the time ?
Comment 2 Adrin Jalali 2008-05-19 10:46:49 EDT
:D 
Writing in a flowchart process component and creating another flowchart process.
The event did not repeat.
Comment 3 Caolan McNamara 2008-05-19 10:57:21 EDT
in draw ? or a drawing in e.g. writer ?
Comment 4 Adrin Jalali 2008-05-20 01:13:39 EDT
I was in writer, sorry for lack of information, I thought these information are
available in log ;)
Comment 5 Caolan McNamara 2008-05-20 07:07:46 EDT
I tried sticking a pile of flowchart elements into writer under valgrind but I
can't reproduce a problem unfortunately
Comment 6 Adrin Jalali 2008-05-20 07:21:04 EDT
If it helps, I was writing in persian with tahoma or nazli fonts, if still could
not be reproduce, close the bug as INSUFFICIENT_DATA ;)
Comment 7 Caolan McNamara 2008-05-21 14:00:06 EDT
I don't doubt for a second that there is a crash here, but the problem is that
the crash itself is from a dispatched command run from a timer callback so I
can't tell where the initial error was introduced unless we can get a way to
reproduce it :-(

closed for now unless some new insight or reproducer comes along

Note You need to log in before you can comment on or make changes to this bug.